Kodi Community Forum

Full Version: skin helper service
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
(2021-02-12, 19:08)Angelinas Wrote: [ -> ]
(2021-02-12, 14:54)TrailFoX Wrote: [ -> ]
(2021-02-12, 14:15)Angelinas Wrote: [ -> ]
Code:
2021-02-12 08:42:21.444 T:27288 INFO <general>: script.tv.show.next.aired --> Updating TheTVDB info for all continuing Kodi tv shows...
2021-02-12 08:42:21.444 T:27288 ERROR <general>: JSONRPC: Failed to parse '{ "jsonrpc": "2.0", "method" : "VideoLibrary.GetTvShows", "params": b'{"properties": [ "file", "title", "year", "imdbnumber", "art", "genre", "cast", "studio", "uniqueid" ] }', "id":1 }'
this lines have problem with Shs.
Problem is encoding in tvdb module or nextaired script..That is fixed in mine last version, you can find link in some post abowe
Other problem is arrow module, that part have notice error shs, but this isn't shs problem.Shs working with that error and you can ignore that notice.
i have installt allready your nextaired script, a view days ago...
You maybe use wrong version....download this two version
https://mega.nz/file/qZhyFTBT#o5SIHnQwLo...4TjVqBS1pI
In your log I see that you use Aeonmq8...try to open from home submenu-tvshow "tvGuide"...if you have info like this, all is ok.

Image

i install it, but still the same errors. if i open the tv show guide it shows me i think correct all infos.
is it possible that this erros are coming from emby next gen addon?
Your log is matching with code for thetvdb.py
Code:
: JSONRPC: Failed to parse '{ "jsonrpc": "2.0", "method" : "VideoLibrary.GetTvShows", "params": b'{"properties": [ "file", "title", "year", "imdbnumber", "art", "genre", "cast", "studio", "uniqueid" ], "filter": {"operator": "is", "field": "title", "value": "Criminal Minds"} }', "id":1 }'
in tvdb module code for json are:
Code:
kodi_series = self._get_kodi_json('VideoLibrary.GetTvShows', '{"properties": [ %s ] }' % KODI_TV_PROPS)'
in same module KODI_TV_PROPS have same properties like in your error log  https://github.com/kodi-community-addons...vdb.py#L41
but difference is in Py3, I was just removed .encode("utf-8") to fix line... b'
https://github.com/kodi-community-addons...db.py#L724

Check again 706 line in thetvdb.py, maybe didn't install correctly
i just copy the folder from your simple.zip in the addon folder, is it the right way to install it?
here is another log with the new addons

https://paste.kodi.tv/owumekogaq.kodi

thanks for help Angelinas
(2021-02-13, 08:59)TrailFoX Wrote: [ -> ]i just copy the folder from your simple.zip in the addon folder, is it the right way to install it?
No, but can work like that.In addon settings you have instal from zip....use that

(2021-02-13, 08:59)TrailFoX Wrote: [ -> ]here is another log with the new addons
2021-02-13 07:55:32.587 T:17423 INFO <general>: CAddonMgr::FindAddons: script.module.cherrypy v17.4.2-2 installed
This isnt version that I use...error AttributeError: module 'pkg_resources' has no attribute 'declare_namespace'

Pleae try to use from mine zip
https://forum.kodi.tv/showthread.php?tid...pid3009277
(2021-01-17, 00:03)Angelinas Wrote: [ -> ]
(2021-01-16, 23:00)melons2 Wrote: [ -> ]Is there a "script.tv.show.next.aired" for Matrix?
I thought that script was still in python 2?

 Try mine version, I didnt try in tvguide, its ok for Shs part .......working for Matrix
https://mega.nz/file/DEgBwSBC#peVdf4m18p...P4i5Avs-xs
Hi Angelina's is it "safe" to install your version on the AeonMQ7 Matrix mod?
(2021-02-13, 13:39)MB1968 Wrote: [ -> ]
(2021-01-17, 00:03)Angelinas Wrote: [ -> ]
(2021-01-16, 23:00)melons2 Wrote: [ -> ]Is there a "script.tv.show.next.aired" for Matrix?
I thought that script was still in python 2?

 Try mine version, I didnt try in tvguide, its ok for Shs part .......working for Matrix
https://mega.nz/file/DEgBwSBC#peVdf4m18p...P4i5Avs-xs
Hi Angelina's is it "safe" to install your version on the AeonMQ7 Matrix mod?
yes...use this link for script and module
https://forum.kodi.tv/showthread.php?tid...pid3013351
Thanks!
So i tried searching the thread but didn't have much luck, trying to instal skin helper service but keep getting script.module.beautifulsoup version 3.0.8 can't be installed. Assuming it hasn't been changed to python 3, but it seems like some people are getting around that. Are there any githubs that have a working version/workaround?
For Matrix use this  zip from this post, all dependency are fixed.
https://forum.kodi.tv/showthread.php?tid...pid3009277

On Github is mixed for py2 and py3..... Matrix is RC version..
(2021-02-14, 01:47)Angelinas Wrote: [ -> ]For Matrix use this  zip from this post, all dependency are fixed.
https://forum.kodi.tv/showthread.php?tid...pid3009277

On Github is mixed for py2 and py3..... Matrix is RC version..
I see that it should work, but im getting an error due to an invalid structure, using AZ2 mod by pkscout if it matters, installing from zip file
(2021-02-14, 02:30)Logs22 Wrote: [ -> ]
(2021-02-14, 01:47)Angelinas Wrote: [ -> ]For Matrix use this  zip from this post, all dependency are fixed.
https://forum.kodi.tv/showthread.php?tid...pid3009277

On Github is mixed for py2 and py3..... Matrix is RC version..
I see that it should work, but im getting an error due to an invalid structure, using AZ2 mod by pkscout if it matters, installing from zip file
another reply to this, i got only beautiful soup to install by itself but the addons using it (skin helper service and skin helper service widgets) don't recognize the new version that is installed
(2021-02-14, 02:36)Logs22 Wrote: [ -> ]
(2021-02-14, 02:30)Logs22 Wrote: [ -> ]
(2021-02-14, 01:47)Angelinas Wrote: [ -> ]For Matrix use this  zip from this post, all dependency are fixed.
https://forum.kodi.tv/showthread.php?tid...pid3009277

On Github is mixed for py2 and py3..... Matrix is RC version..
I see that it should work, but im getting an error due to an invalid structure, using AZ2 mod by pkscout if it matters, installing from zip file
another reply to this, i got only beautiful soup to install by itself but the addons using it (skin helper service and skin helper service widgets) don't recognize the new version that is installed
Final update, nevermind i got them all installed, just did them 1 by 1
@Angelinas
I think I fixed a problem with the getcast action for the Matrix version. In plugin_content.py I changed lines 316 & 317 to this...

liz = xbmcgui.ListItem(label=cast.get("name"), label2=cast.get("role"),)
liz.setArt({"icon":cast.get("thumbnail")})
Now the cast info is displaying again.
(2021-02-14, 01:47)Angelinas Wrote: [ -> ]For Matrix use this  zip from this post, all dependency are fixed.
https://forum.kodi.tv/showthread.php?tid...pid3009277

On Github is mixed for py2 and py3..... Matrix is RC version..

Does this mean all needed dependencies are already to be found in the Kodi repo since v19 has been released now? Or is this still required to get skin helper running?
https://mirrors.kodi.tv/addons/matrix/sc....kodi-six/
https://mirrors.kodi.tv/addons/matrix/sc...implejson/
https://mirrors.kodi.tv/addons/matrix/sc....requests/
https://mirrors.kodi.tv/addons/matrix/sc...ifulsoup4/
https://mirrors.kodi.tv/addons/matrix/sc...ule.arrow/

-SHS Module unpack from zip and in Kodi innstall from zip Link-----Download
          script.module.cherrypy.zip
          script.module.musicbrainz.zip
          script.module.simplecache.zip
          script.module.thetvdb.zip

This two download from 
script.skin.helper.service.zip            Link-------github.com
script.module.metadatautils.zip    Link------github.com

For now just install from zip....in next days I will upload all needing module on Marcel repo, for "Install addon Automatically"....for Matrix